Package com.sun.speech.freetts

# Interface Unit

public interface Unit
Defines a generic interface to a Unit.

## Method Summary

Modifier and Type
Method
Description
`void`
`dump()`
Dumps this unit.
`String`
`getName()`
Returns the name of this Unit.
`Sample`
`getNearestSample(float index)`
Retrieves the nearest sample.
`int`
`getSize()`
Returns the size of this unit.

## Method Details

### getName

String getName()
Returns the name of this Unit.

Returns:
  the name of this Unit

### getSize

int getSize()
Returns the size of this unit.

Returns:
  the size of this unit

### getNearestSample

Sample getNearestSample(float index)
Retrieves the nearest sample.

Parameters:
  `index` - the ideal index
Returns:
  the nearest Sample

### dump

void dump()
Dumps this unit.